Activate User
curl --request POST \
--url https://dev.api.mufi.app/v1/users/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"referenceId": "<string>"
}
'import requests
url = "https://dev.api.mufi.app/v1/users/activate"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"referenceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
referenceId: '<string>'
})
};
fetch('https://dev.api.mufi.app/v1/users/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activatedOn": "2023-11-07T05:31:56Z",
"isActivated": true
}{
"errors": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Users Endpoints
Activate User
Set a user to activated. Activation status is required to manage any features associated with their wallets. The current date is used as the activation date. You can query the activation status of a user using the POST /v1/users/activation endpoint.
POST
/
v1
/
users
/
activate
Activate User
Authorizations
A JWT Access Token obtained from Google Cloud.
Body
application/json
This POST endpoint allows activating a user by email, id, or referenceId. Use only one field per request. If multiple fields are provided, the priority is email, followed by referenceId, and then id.
⌘I